# Source code for azure.mgmt.loganalytics.models.saved_searches_list_result_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SavedSearchesListResult(Model):
        """The saved search operation response.

        :param metadata: The metadata from search results.
        :type metadata: ~azure.mgmt.loganalytics.models.SearchMetadata
        :param value: The array of result values.
        :type value: list[~azure.mgmt.loganalytics.models.SavedSearch]
        """

        _attribute_map = {
            'metadata': {'key': 'metaData', 'type': 'SearchMetadata'},
            'value': {'key': 'value', 'type': '[SavedSearch]'},
        }

        def __init__(self, *, metadata=None, value=None, **kwargs) -> None:
            super(SavedSearchesListResult, self).__init__(**kwargs)
            self.metadata = metadata
            self.value = value